/*
 *				**** Get Info ****
 *
 * This is a sample program to help students learn how to use
 * various packages that are available on Bill Pringle's website
 */

/* standard includes */
#include <stdio.h>
#include <stdlib.h>

/* include file for Bill Pringle's packages */
#include "prodlist.h"
#include "read_line.h"

/* incvlude file for this program */
#include "getinfo.h"


int main(int argc, char *argv[])
{
	char buf[BUFSIZ+1];
   ProdPtrList *stuff;
   struct stuff *ent;
   int i;

   buf[BUFSIZ] = '\0';	/* prevent buffer overflow */

   printf("GetInfo Program, version %s\n", VERSION);

   /* create list for the collection */
   stuff = create_ptr_prodlist(100);	/* starting size */

   /* get list of entries from user */
   while (1)
   {
    	printf("Enter ID, or ENTER to quit: ");
      read_line(buf, stdin);
      if (*buf == '\0') break;	/* done entering info */
      /* create entry and fill in fields */
      ent = create_stuff();
      ent->id = atoi(buf);
      printf("Enter last name: ");
      read_line(buf, stdin);
      ent->lname = strdup(buf);	/* last name */
      printf("Enter first name: ");
      read_line(buf, stdin);
      ent->fname = strdup(buf);
      printf("Enter phone number: ");
      read_line(buf, stdin);
      ent->phone = strdup(buf);

      /* now add entry to list */
      add_ptr_prodlist(stuff, ent);
   }

   /* done entering information - display it */
   printf("Added %d entries\n", stuff->nitems);

   /* display all entries */
   for (i=0; i < stuff->nitems; i++)
   {
   	ent = (struct stuff *)stuff->item[i];	/* get item */
      printf("ID=%d, Name=%s, %s, Phone=%s\n",
      	ent->id, ent->lname, ent->fname, ent->phone);
	}      

   return 0;
}

