/*
 *				**** STUFF ****
 *
 * This file contains routines that deal with stuff
 */

#include <stdio.h>
#include <stdlib.h>

#include "getinfo.h"

struct stuff *create_stuff(void)
{
	struct stuff *ret;

   ret = (struct stuff *)malloc(sizeof(*ret));
   if (ret != NULL) memset(ret, '\0', sizeof(*ret));

   return ret;
}

void free_stuff(struct stuff *ent)
{
	if (ent == NULL) return; /* bad argument */

   /* free up any memory associated with this entry */
   if (ent->lname != NULL) free(ent->lname);
   if (ent->fname != NULL) free(ent->fname);
   if (ent->phone != NULL) free(ent->phone);

   /* now free up the actual entry */
   free(ent);
}
