/*				**** GETINFO H **** */

/* version number */
#define VERSION "5.0"

#define OPT_ENTER		1
#define OPT_DISPLAY	2
#define OPT_NDX_NAME		21
#define OPT_SRCH_NAME	22
#define OPT_SAVE			90
#define OPT_LOAD			91
#define OPT_APPEND		92
#define OPT_DONE		99
#define OPT_LIST_NAME	81	/* list collection using alphabetical list */
#define OPT_LIST_FULL	82 /* list collection using full index */
#define OPT_LIST_PART	83 /* list collection using partial index */

/* prototypes for local routines */
void enter_stuff(ProdPtrList *ent);	/* enter entries interactively */
void display_entries(ProdPtrList *ent); /* display all entries */
int get_option(char *buf);		/* promput user for option */
void index_name(ProdPtrList *list, LinkList *ndx);	/* build name index */
void list_names(LinkList *list);
void save_entries(ProdPtrList *list);
void load_entries(ProdPtrList *list);
void append_entries(ProdPtrList *list);
void insert_name(LinkList *ndx, struct stuff *ent);
void build_full_index(LinkList *list, ProdAPtrList *ndx);
void list_full_index(ProdAPtrList *list);
void build_part_index(LinkList *list, Link *ndx[]);
void list_part_index(Link *ndx[]);
void search_names_seq(char *lname, char *fname, LinkList *ndx);
void search_names_full(char *lname, char *fname, ProdAPtrList *fullndx);
void search_name_part(char *lname, char *fname, Link *partndx[]);
int get_first_char(char *lname);

